Bug 12906 - Builds aren't reproducible
Builds aren't reproducible
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 12:17 UTC by David Disseldorp
Modified: 2017-07-25 09:35 UTC (History)
1 user (show)

See Also:


Attachments
fix for 4.7 cherry picked from master (4.30 KB, patch)
2017-07-14 21:41 UTC, David Disseldorp
abartlet: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Disseldorp 2017-07-14 12:17:04 UTC
A couple of minor changes are needed to ensure that Samba builds are reproducible:
- eedebe2ef1b6ff92975289b6076f236650744621 docs-xml: Sort input file list
and
- https://lists.samba.org/archive/samba-technical/2017-July/121677.html
Comment 1 David Disseldorp 2017-07-14 14:07:19 UTC
@Andrew: did you want this to go into all supported releases, or just 4.7?
Comment 2 Andrew Bartlett 2017-07-14 20:30:38 UTC
(In reply to David Disseldorp from comment #1)
Just 4.7.
Comment 3 David Disseldorp 2017-07-14 21:41:05 UTC
Created attachment 13388 [details]
fix for 4.7 cherry picked from master
Comment 4 Karolin Seeger 2017-07-24 19:59:39 UTC
(In reply to David Disseldorp from comment #3)
Pushed to autobuild-v4-7-test.
Comment 5 Karolin Seeger 2017-07-25 09:35:44 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to v4-7-test.
Closing out bug report.

Thanks!